{{ define "main" }}
  <div class="row">
    <div class='col-lg-12 col-sm-12'>
      <h1 class='red-header new-header'>{{ .Type }} {{ .Title }}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col-md-2 mt-3" id="terms">
      {{ $terms := newScratch }}
      {{ range $key, $value := .Data.Terms.Alphabetical }}
      {{ $terms.Set $value.Name $key }}
        <div class="form-check">
          <input type="checkbox" class="form-check-input" id="checkbox-{{$key}}" name="{{ $key }}">
          <label class="form-check-label" for="checkbox-{{$key}}">{{ $value.Name }}</label>
        </div>
      {{ end }}
    </div>
    <div class="col-md-10">
      <div class="container">
      {{ $pages := slice }}
      {{ range $key, $value := .Data.Terms.Alphabetical }}
        {{ range $value.Pages }}
          {{ $pages = $pages | append .File.Dir }}
        {{ end }}
      {{ end }}
        <div class="row">
      {{ range ($pages | uniq) }}
        {{ with $.Site.GetPage (printf "/%sindex.md" .)}}
          <div class="col-md-6 col-sm-12 term-card"
               {{ range .Param $.Type }}
               {{printf "term-%d=\"1\"" ($terms.Get (. | urlize) ) | safeHTMLAttr }}
               {{ end }}
            >
            <div class="row mini-card">
              <div class="col-sm-4">
                {{ if isset .Params "illustration"}}
                {{ $original := .Resources.GetMatch .Params.illustration.name }}
                {{ $image := $original.Fill "150x100 Center" }}
                <img alt="{{ .Params.illustration.description }}"
                     src="{{ $image.RelPermalink }}"
                     class="img-fluid"/>
                {{ end }}
              </div>
              <div class="col-sm-8 mini-card-body">
                <h3>
                  <a href="{{ .RelPermalink }}">{{ .Title | markdownify }}</a>
                </h3>
                <ul class="article-card-info text-muted">
                  <li class="info-date">{{ .Lastmod | dateFormat $.Site.Params.date_format.default }}</li>
                  {{ range .Params.authors }}
                  {{ $author := ($.Site.GetPage ( printf "%s/%s/%s" "team" . "index.md")).Params }}
                  <li class="info-author"><!--a href="/authors/{{. | urlize}}"-->{{ $author.name }}<!--/a--></li>
                  {{ end }}
                </ul>
              </div>
            </div>

          </div>
        {{ end }}
      {{ end }}
        </div>
      </div>
    </div>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>
    $('#terms :checkbox').click(function () {
        if ($('input:checkbox:checked').length) {
            $('.term-card').hide();
            $('input:checkbox:checked').each(function () {
                $('div[term-' + $(this).prop('name') + '*="1"]').show();
            });
        } else {
            $("li").show();
        }
    });
  </script>
{{ end }}
